Bug 1809398 - [4.2] Template router metrics listener is potentially broken by service CA rotation
Summary: [4.2] Template router metrics listener is potentially broken by service CA ro...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: ---
: 4.2.z
Assignee: Dan Mace
QA Contact: Hongan Li
URL:
Whiteboard:
Depends On: 1771783
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-03 04:01 UTC by Maru Newby
Modified: 2020-03-18 08:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1771783
Environment:
Last Closed: 2020-03-18 08:58:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift router pull 96 None closed [release-4.2] Bug 1809398: Dynamically reload metrics certificate/key file changes 2020-03-14 01:21:17 UTC
Red Hat Product Errata RHBA-2020:0787 None None None 2020-03-18 08:58:15 UTC

Comment 3 Hongan Li 2020-03-09 06:50:31 UTC
Verified with 4.2.0-0.nightly-2020-03-08-215456 and the issue has been fixed.


$ oc -n openshift-ingress delete secret router-metrics-certs-default

$ oc -n openshift-ingress logs router-default-7f9886d584-crgb6
I0309 06:45:36.222501       1 template.go:637] Reloaded metrics certificate for cert file "/etc/pki/tls/metrics-certs/tls.crt" and key file "/etc/pki/tls/metrics-certs/tls.key"

Comment 5 errata-xmlrpc 2020-03-18 08:58:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0787


Note You need to log in before you can comment on or make changes to this bug.